Bug 1492757 - [osp12]Undercloud installation was failed due to ipa-client-install was failed because nameserver from undercloud.conf didn't wrote to /etc/resolv.conf
Summary: [osp12]Undercloud installation was failed due to ipa-client-install was faile...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: RHOS Maint
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-18 15:01 UTC by Artem Hrechanychenko
Modified: 2017-09-27 17:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-27 17:09:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Artem Hrechanychenko 2017-09-18 15:01:21 UTC
Description of problem:
from undercloud_install.log
Error: /usr/sbin/ipa-client-install --password 2TzQHJvOZpEWqsCZPR7sne0yA6PzkW2cApTgoiQ6Gv6y --mkhomedir --hostname undercloud-0.redhat.local --unattended returned 1 instead of one of [0]

reason of failure - domain didn't found

from undercloud.conf
enable_novajoin = True
ipa_otp = 2TzQHJvOZpEWqsCZPR7sne0yA6PzkW2cApTgoiQ6Gv6y
undercloud_hostname = undercloud-0.redhat.local
undercloud_nameservers = 10.0.0.86
overcloud_domain_name = redhat.local

after manually adding nameserver to /etc/resolv.conf and re-run command - it executed without error


Steps to Reproduce:
http://etherpad.corp.redhat.com/osp12-internal-SSL-using-freeIPA

Actual results:
undercloud installation was fail

Expected results:
undercloud installation completed successful 

Additional info:

Comment 2 Artem Hrechanychenko 2017-09-19 13:36:31 UTC
didn't reproduced last two time, so you can close that issue, I'll reopen if get it again

Comment 3 Bob Fournier 2017-09-27 17:09:18 UTC
Ok, thanks Artem. Will close, please reopen if you get it again.

However I don't think that the component should be os-net-config as os-net-config isn't populating resolv.conf.


Note You need to log in before you can comment on or make changes to this bug.